Skip to main content
GET
/
accounts
/
{customerId}
/
membership
Get membership settings
curl --request GET \
  --url https://api.interchange.io/api/v2/accounts/{customerId}/membership \
  --header 'Authorization: Bearer <token>'
{
  "customerId": 200,
  "allowDomainAutoJoin": false
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

customerId
string
required

Customer ID

Minimum string length: 1
Example:

"200"

Response

Get membership settings

Customer membership access settings

customerId
integer
required

Customer ID

Required range: -9007199254740991 <= x <= 9007199254740991
Example:

200

allowDomainAutoJoin
boolean
required

When true, users with a verified matching domain email join immediately as members without admin approval. Requires customerDomain to be set.

Example:

false